summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roberto Metere2010-07-04 09:13:48 +0200
committer Robby Workman2010-07-04 09:13:48 +0200
commitb5769f30f027f8c558e8a88c2cc6e000b618f29e (patch)
tree413b514b85a2ffb1b861917af3052256b9d47a24
parentbd4adc80c0c73e267bacf8508127ab9d3cf5c1ce (diff)
downloadslackbuilds-b5769f30f027f8c558e8a88c2cc6e000b618f29e.tar.gz
development/julius: Added (speech recognition decoder software)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/julius/README12
-rw-r--r--development/julius/julius.SlackBuild94
-rw-r--r--development/julius/julius.info10
-rw-r--r--development/julius/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/development/julius/README b/development/julius/README
new file mode 100644
index 0000000000..f7868b4a3f
--- /dev/null
+++ b/development/julius/README
@@ -0,0 +1,12 @@
+"Julius" is a high-performance, two-pass large vocabulary continuous speech
+recognition (LVCSR) decoder software for speech-related researchers and
+developers. Based on word N-gram and context-dependent HMM, it can perform
+almost real-time decoding on most current PCs in 60k word dictation task.
+Major search techniques are fully incorporated such as tree lexicon, N-gram
+factoring, cross-word context dependency handling, enveloped beam search,
+Gaussian pruning, Gaussian selection, etc. Besides search efficiency, it
+is also modularized carefully to be independent from model structures, and
+various HMM types are supported such as shared-state triphones and
+tied-mixture models, with any number of mixtures, states, or phones.
+Standard formats are adopted to cope with other free modeling toolkit such
+as HTK, CMU-Cam SLM toolkit, etc.
diff --git a/development/julius/julius.SlackBuild b/development/julius/julius.SlackBuild
new file mode 100644
index 0000000000..527195dc05
--- /dev/null
+++ b/development/julius/julius.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for julius
+
+# Copyright (c) 2010 Roberto Metere. All rights reserved.
+# roberto<at>metere<dot>it
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified by SlackBuilds.org
+
+PRGNAM=julius
+VERSION=4.1.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$( pwd )
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$PKG/usr \
+ --libdir=$PKG/usr/lib${LIBDIRSUFFIX} \
+ --mandir=$PKG/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install
+
+find $PKG/usr/man -type -f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ 00readme.txt 00readme-ja.txt LICENSE.txt Release-ja.txt Release.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/julius/julius.info b/development/julius/julius.info
new file mode 100644
index 0000000000..62da67743b
--- /dev/null
+++ b/development/julius/julius.info
@@ -0,0 +1,10 @@
+PRGNAM="julius"
+VERSION="4.1.5"
+HOMEPAGE="http://julius.sourceforge.jp/en_index.php"
+DOWNLOAD="http://iij.dl.sourceforge.jp/julius/47530/julius-4.1.5.tar.gz"
+MD5SUM="6c6bbddf58ff03add1797c1bb3f13615"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto@metere.it"
+APPROVED="rworkman"
diff --git a/development/julius/slack-desc b/development/julius/slack-desc
new file mode 100644
index 0000000000..d3d7c3953f
--- /dev/null
+++ b/development/julius/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+julius: Julius (speech recognition software)
+julius:
+julius: Julius is a high-performance, two-pass large vocabulary continuous
+julius: speech recognition (LVCSR) decoder software for speech-related
+julius: researchers and developers.
+julius:
+julius: Homepage: http://julius.sourceforge.jp/en_index.php
+julius:
+julius:
+julius:
+julius: